Package org.jboss.resteasy.specimpl

## Class AbstractBuiltResponse.InputStreamWrapper<T extends BuiltResponse>

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.jboss.resteasy.specimpl.AbstractBuiltResponse.InputStreamWrapper<T>

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`
  Enclosing class:
    AbstractBuiltResponse

      protected static class AbstractBuiltResponse.InputStreamWrapper<T extends BuiltResponse>
      extends FilterInputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputStreamWrapper​(InputStream in, T response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `int` | `read()` |
    `int` | `read​(byte[] b)` |
    `int` | `read​(byte[] b, int off, int len)` |

    - ### Methods inherited from class java.io.FilterInputStream

      `available, mark, markSupported, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputStreamWrapper

          public InputStreamWrapper​(InputStream in,
                                    T response)

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Overrides:
        `read` in class `FilterInputStream`
      Throws:
        `IOException`

    - #### read

          public int read​(byte[] b)
                   throws IOException

      Overrides:
        `read` in class `FilterInputStream`
      Throws:
        `IOException`

    - #### read

          public int read​(byte[] b,
                          int off,
                          int len)
                   throws IOException

      Overrides:
        `read` in class `FilterInputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Overrides:
        `close` in class `FilterInputStream`
      Throws:
        `IOException`